﻿using UnityEngine;

public class DeathCamera : Mod
{
    private bool enable;
    private Vector3 camRot;

    public void Start()
    {
        enable = true;
        Debug.Log("Mod DeathCamera has been loaded!");
    }

    public void LateUpdate()
    {
        if (!enable)
        {
            return;
        }
        if (Player.LocalPlayerIsDead && Camera.main)
        {
            camRot.y += Input.GetAxis("Mouse X");
            camRot.x -= Input.GetAxis("Mouse Y");
            Camera.main.transform.eulerAngles = (Vector2)camRot * 2f;
        }
    }

    public void OnModUnload()
    {
        enable = false;
        Debug.Log("Mod DeathCamera has been unloaded!");
    }
}